View Issue Details

IDProjectCategoryView StatusLast Update
0000948Far ManagerPlugins APIpublic2011-09-10 21:43
ReporterNikolayAssigned Tovskirdin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000948: Предложение явно задать значения всех энумераторов в plugin.hpp
DescriptionЧтобы добавление/удаление энумераторов не требовало перекомпиляции всех плагинов.
Additional InformationПриложен патч для trunc/unicode_far/plugin.hpp, реализующий предложение.
TagsNo tags attached.
Build2156

Activities

2009-06-23 15:32

 

plugin.hpp.patch.zip (3,884 bytes)

vskirdin

2010-07-12 09:39

administrator   bugnote:0005590

2Инициатор: приложи актуальный патч для последнего варианта plugin.hpp (из SVN)
заодно и к файлу colors.hpp - из него формируется файл farcolor.hpp

Nikolay

2010-07-12 22:26

reporter   bugnote:0005598

Постараюсь выложить завтра, один только вопрос - хвостовые запятые перед закрывающей скобкой enum удалять? Они ж не по Стандарту С++ стоят...

vskirdin

2010-07-12 23:07

administrator   bugnote:0005599

пусть остаются

Nikolay

2010-07-12 23:08

reporter   bugnote:0005600

Хозяин - барин.

Nikolay

2010-07-14 22:47

reporter  

EnumBeautifier.r4855.zip (9,338 bytes)

Nikolay

2010-07-14 22:52

reporter   bugnote:0005602

Патч приложил (в colors.hpp, правда, там со странностями PaletteColors, пришлось продублировать код одним куском, но если хотите, могу и каждую строчку в #ifdef/else зафигачить).
Как старый аттач удалить - не знаю.

samlyukov

2011-09-10 11:35

reporter   bugnote:0007640

как бы сделано.

alexy

2011-09-10 21:43

administrator   bugnote:0007650

2156

Issue History

Date Modified Username Field Change
2009-06-23 15:32 Nikolay New Issue
2009-06-23 15:32 Nikolay File Added: plugin.hpp.patch.zip
2010-07-12 02:35 alexy Assigned To => alexy
2010-07-12 02:35 alexy Status new => assigned
2010-07-12 09:39 vskirdin Note Added: 0005590
2010-07-12 22:26 Nikolay Note Added: 0005598
2010-07-12 23:07 vskirdin Note Added: 0005599
2010-07-12 23:08 Nikolay Note Added: 0005600
2010-07-14 22:47 Nikolay File Added: EnumBeautifier.r4855.zip
2010-07-14 22:52 Nikolay Note Added: 0005602
2011-09-10 11:35 samlyukov Note Added: 0007640
2011-09-10 21:43 alexy Build => 2156
2011-09-10 21:43 alexy Note Added: 0007650
2011-09-10 21:43 alexy Status assigned => closed
2011-09-10 21:43 alexy Assigned To alexy => vskirdin
2011-09-10 21:43 alexy Resolution open => fixed
2011-09-10 21:43 alexy Fixed in Version => 3.0